@import "fonts";

/**
 * Colors
 */
$backgroundColor: rgba(54,63,70,1);
$primaryColor: #1e90ff;

$themeColor1: #caebf2;
$themeColor2: #a9a9a9;
$themeColor3: #ff3b3f;
$themeColor4: #efefef;


/**
 * Typography
 */
h1 {
	color: $themeColor3;
	margin-bottom: 0;
	font-size: 3.5rem;
}

h2 {

}

h3 {
	color: $themeColor2;
}

a {
	color: inherit;

	&:hover {
		text-decoration: none;
	}
}

/**
 * Bootstrap override
 */
$btn-primary-color: #000080;

.btn {
	$transitionDuration: 0.25s;
	transition: color $transitionDuration, box-shadow $transitionDuration/2;

	&:hover {
		outline: none;
		box-shadow: 0 0 5px 1px #ccc;
	}

	&:focus,
	&:active:focus {
		outline: none;
		box-shadow: inset 0 0 5px 1px #ddd;
	}

	&.btn-primary {
		background-color: $themeColor1;
		border-color: darken($themeColor1, 10%);
		color: #545454;

		&:hover,
		&:active:focus {
			background-color: $themeColor1;
			border-color: darken($themeColor1, 10%);
			color: #545454;
			outline: none;
		}
	}

	&.btn-danger,
	&.btn-secondary {
		color: darken($themeColor2, 20%);
		background-color: #ffffff;
		border-color: #cccccc;

		&:hover,
		&:active:focus {
			color: #000000;
			background-color: #ffffff;
			border-color: #cccccc;
		}
	}

	&.btn-danger {

		&:hover {
			color: $themeColor3;
		}
	}
}

.tag {
	vertical-align: top;
	font-weight: 100;
}


.card {
	border: none;
	box-shadow: 0 0 5px 1px #ddd;
}

.form-control {

	&:focus {
		border-color: $themeColor3;
		color: #000000;
	}
}

/**
 * Page structure
 */
body {
	background-color: $themeColor4;
	font-family: "Signika", sans-serif;
}

.mainNavigation {
	margin-bottom: 2rem;
}

.mainContent {
	margin-bottom: 2rem;
	padding-bottom: 2rem;

	#headerArea {
		margin: 0 -15px;
		padding: 2rem 15px 0;
		background-color: $themeColor4;
	}

	#contentArea {
		padding-top: 2rem;
	}
}

/**
 * Buttons
 */
.one50-buttonContainer {
	margin: 1rem 0 0;
	text-align: center;

	&.one50-noMargin {
		margin: 0;
	}

	&.buttonAlign-right {

	}
}


/**
 * Table
 */
.table {

	tfoot {
		font-weight: bold;
	}

	thead {
		background-color: $themeColor2;
		color: #ffffff;

		th {
			font-weight: 100;
		}
	}

	.tableCell-align-center {
		text-align: center;
	}

	.tableCell-align-right {
		text-align: right;
	}

	td,
	th {
		border-top-color: $themeColor2;
		vertical-align: middle;
	}
}

/**
 * Flash Messages
 */
.flashmessages {
	list-style-type: none;
	padding: 0;

	li {
		position: relative;
		padding: 2rem;
		background-color: #caebf2;
		border-radius: 5px;
		color: #a9a9a9;

		&:before {
			position: relative;
			float: left;
			margin-right: 1rem;
			top: -1.5rem;
			left: 0;
			font-family: "FontAwesome", sans-serif;
			font-size: 3rem;
		}

		&.flashmessages-ok {

			&:before {
				content: "\f00c";
			}
		}
	}
}

/**
 * Login / Registration / Profile
 */
.one50-registrationHint {
	text-align: center;
}

.one50-userProfileBlock {
	margin-bottom: 2rem;

	&:last-of-type {
		margin-bottom: 0;
	}
}

/**
 * Shop Index
 */
.one50-shop-index {

	.one50-product-card {

		.card-img-wrapper {

			.card-img-top {
				height: 16rem;
				background-size: cover;
				background-position: 50%;
				background-repeat: no-repeat;
			}
		}


		.price-wrapper {
			text-align: right;

			.price-tag {
				display: inline-block;
				padding: 5px 10px;
				font-size: 0.8rem;
				border-radius: 5px;
				background-color: $themeColor2;
				color: white;
			}
		}

		.one50-addToCart-form {

			.one50-quantity-input {
				text-align: center;
			}
		}
	}
}

/**
 * Orders
 */
.one50-orderBlock {
	margin-bottom: 2rem;

	&:last-of-type {
		margin-bottom: 0;
	}
}

/**
 * Products
 */
.one50-productForm-image {
	text-align: center;
	margin-top: 1rem;

	img {
		max-width: 100%;
	}
}

/**
 * Checkout
 */
.one50-checkoutBlock {
	margin-bottom: 2rem;

	&:last-of-type {
		margin-bottom: 0;
	}

	.one50-addressBlock {

		input {
			display: none;

			&:checked {

				& + .card-block {
					color: #000000;

					.card-text {

						&:after {
							content: "\f00c";
							position: absolute;
							right: 0;
							bottom: 0;
							font-family: "FontAwesome";
							font-size: 2rem;
						}
					}
				}
			}
		}

		.card-block {
			color: #dddddd;

			label {
				display: block;
				margin: 0;

				.card-text {
					position: relative;
					display: block;
				}
			}


		}
	}
}
